Name:          librevenge
Version:       0.0.5
Release:       1mamba
Summary:       A base library for writing document import filters
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/p/libwpd/wiki/librevenge/
Source:        http://downloads.sourceforge.net/project/libwpd/librevenge/librevenge-%{version}/librevenge-%{version}.tar.xz
License:       LGPL, MPL 1.1
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libcppunit-devel

%description
librevenge is a base library for writing document import filters. It has interfaces for text documents, vector graphics, spreadsheets and presentations.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure \
   --disable-werror

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/librevenge-0.0.so.*
%{_libdir}/librevenge-generators-0.0.so.*
%{_libdir}/librevenge-stream-0.0.so.*
%doc AUTHORS

%files devel
%defattr(-,root,root)
%dir %{_includedir}/librevenge-0.0
%dir %{_includedir}/librevenge-0.0/librevenge-generators
%{_includedir}/librevenge-0.0/librevenge-generators/*.h
%dir %{_includedir}/librevenge-0.0/librevenge-stream
%{_includedir}/librevenge-0.0/librevenge-stream/*.h
%dir %{_includedir}/librevenge-0.0/librevenge
%{_includedir}/librevenge-0.0/librevenge/*.h
%{_libdir}/librevenge-0.0.so
%{_libdir}/librevenge-generators-0.0.so
%{_libdir}/librevenge-stream-0.0.so
%{_libdir}/pkgconfig/librevenge-0.0.pc
%{_libdir}/pkgconfig/librevenge-generators-0.0.pc
%{_libdir}/pkgconfig/librevenge-stream-0.0.pc
%dir %{_datadir}/doc/librevenge
%dir %{_datadir}/doc/librevenge/html
%{_datadir}/doc/librevenge/html/*
%doc ChangeLog NEWS README

%changelog
* Sun Jan 01 2023 Automatic Build System <autodist@mambasoft.it> 0.0.5-1mamba
- automatic version update by autodist

* Thu Jan 14 2016 Automatic Build System <autodist@mambasoft.it> 0.0.4-1mamba
- automatic version update by autodist

* Fri Dec 25 2015 Automatic Build System <autodist@mambasoft.it> 0.0.3-1mamba
- automatic version update by autodist

* Thu Dec 25 2014 Automatic Build System <autodist@mambasoft.it> 0.0.2-1mamba
- automatic version update by autodist

* Sun Jun 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.1-1mamba
- package created using the webbuild interface
